Computer Laboratory

OCaml Labs

cohttp

Tags org:mirage and org:xapi-project
Maintainer anil@recoil.org
Dependencies ocamlfind & re & uri >= 1.3.8 & < 1.5.0 & ounit & cstruct >= 0.8.0 & fieldslib >= 109.20.00
Optional dependencies async >= 109.15.00 & <= 109.53.02 | lwt >= 2.4.3 | mirage-net >= 0.9.4
Last update May 15, 2014
Source https://github.com/mirage/ocaml-cohttp/archive/v0.9.12.tar.gz
f2144c5e40d69460552c6ca6ac92a9a6

HTTP library for Lwt, Async and Mirage

If you wish to install the Lwt_unix version, then you will also need the ssl optional package for this version. Just do:

opam install cohttp lwt ssl to get a fully working HTTP(S) Lwt_unix client.

Dependencies
fieldslib ( >= 109.20.00 )
cstruct ( >= 0.8.0 )
ounit
uri ( < 1.5.0 )
uri ( >= 1.3.8 )
re
ocamlfind
Optional
mirage-net ( >= 0.9.4 )
lwt ( >= 2.4.3 )
async ( <= 109.53.02 )
async ( >= 109.15.00 )
Required by
bt
cowabloga
facebook-sdk
github
iocaml
irminsule
mirage-http
mirage-http-unix
mirage-http-xen
mirage-www
opium
vhd-tool
websocket
xe
xen-api-client